/* SPDX-License-Identifier: GPL-2.0 */
/*
 * IMG PVDEC test Registers
 *
 * Copyright (c) Imagination Technologies Ltd.
 * Copyright (c) 2018 Texas Instruments Incorporated - http://www.ti.com/
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation version 2.
 *
 * This program is distributed "as is" WITHOUT ANY WARRANTY of any
 * kind, whether express or implied; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

#ifndef _IMG_PVDEC_TEST_REGS_H
#define _IMG_PVDEC_TEST_REGS_H

#define PVDEC_TEST_TEST_REGISTER_BYPASS_OFFSET		(0x0000)

/* PVDEC_TEST, TEST_REGISTER_BYPASS, PVDEC_PIN_TEST_REG_BYPASS */
#define PVDEC_TEST_TEST_REGISTER_BYPASS_PVDEC_PIN_TEST_REG_BYPASS_MASK		(0x00000002)
#define PVDEC_TEST_TEST_REGISTER_BYPASS_PVDEC_PIN_TEST_REG_BYPASS_LSBMASK		(0x00000001)
#define PVDEC_TEST_TEST_REGISTER_BYPASS_PVDEC_PIN_TEST_REG_BYPASS_SHIFT		(1)
#define PVDEC_TEST_TEST_REGISTER_BYPASS_PVDEC_PIN_TEST_REG_BYPASS_LENGTH		(1)
#define PVDEC_TEST_TEST_REGISTER_BYPASS_PVDEC_PIN_TEST_REG_BYPASS_DEFAULT		(0)
#define PVDEC_TEST_TEST_REGISTER_BYPASS_PVDEC_PIN_TEST_REG_BYPASS_SIGNED_FIELD	(0)

/* PVDEC_TEST, TEST_REGISTER_BYPASS, PVDEC_TEST_REG_BYPASS */
#define PVDEC_TEST_TEST_REGISTER_BYPASS_PVDEC_TEST_REG_BYPASS_MASK		(0x00000001)
#define PVDEC_TEST_TEST_REGISTER_BYPASS_PVDEC_TEST_REG_BYPASS_LSBMASK		(0x00000001)
#define PVDEC_TEST_TEST_REGISTER_BYPASS_PVDEC_TEST_REG_BYPASS_SHIFT		(0)
#define PVDEC_TEST_TEST_REGISTER_BYPASS_PVDEC_TEST_REG_BYPASS_LENGTH		(1)
#define PVDEC_TEST_TEST_REGISTER_BYPASS_PVDEC_TEST_REG_BYPASS_DEFAULT		(0)
#define PVDEC_TEST_TEST_REGISTER_BYPASS_PVDEC_TEST_REG_BYPASS_SIGNED_FIELD	(0)

#define PVDEC_TEST_SECURE_MEM_CTRL_0_OFFSET		(0x0050)

/* PVDEC_TEST, SECURE_MEM_CTRL_0, MEM_PROTECT_ENABLE */
#define PVDEC_TEST_SECURE_MEM_CTRL_0_MEM_PROTECT_ENABLE_MASK		(0x00000001)
#define PVDEC_TEST_SECURE_MEM_CTRL_0_MEM_PROTECT_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_TEST_SECURE_MEM_CTRL_0_MEM_PROTECT_ENABLE_SHIFT		(0)
#define PVDEC_TEST_SECURE_MEM_CTRL_0_MEM_PROTECT_ENABLE_LENGTH		(1)
#define PVDEC_TEST_SECURE_MEM_CTRL_0_MEM_PROTECT_ENABLE_DEFAULT		(0)
#define PVDEC_TEST_SECURE_MEM_CTRL_0_MEM_PROTECT_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_TEST, SECURE_MEM_CTRL_0, MEM_CAPTURE_LAST_ERROR */
#define PVDEC_TEST_SECURE_MEM_CTRL_0_MEM_CAPTURE_LAST_ERROR_MASK		(0x00000002)
#define PVDEC_TEST_SECURE_MEM_CTRL_0_MEM_CAPTURE_LAST_ERROR_LSBMASK		(0x00000001)
#define PVDEC_TEST_SECURE_MEM_CTRL_0_MEM_CAPTURE_LAST_ERROR_SHIFT		(1)
#define PVDEC_TEST_SECURE_MEM_CTRL_0_MEM_CAPTURE_LAST_ERROR_LENGTH		(1)
#define PVDEC_TEST_SECURE_MEM_CTRL_0_MEM_CAPTURE_LAST_ERROR_DEFAULT		(0)
#define PVDEC_TEST_SECURE_MEM_CTRL_0_MEM_CAPTURE_LAST_ERROR_SIGNED_FIELD	(0)

/* PVDEC_TEST, SECURE_MEM_CTRL_0, MEM_LOCKUP_ENABLE */
#define PVDEC_TEST_SECURE_MEM_CTRL_0_MEM_LOCKUP_ENABLE_MASK		(0x00000010)
#define PVDEC_TEST_SECURE_MEM_CTRL_0_MEM_LOCKUP_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_TEST_SECURE_MEM_CTRL_0_MEM_LOCKUP_ENABLE_SHIFT		(4)
#define PVDEC_TEST_SECURE_MEM_CTRL_0_MEM_LOCKUP_ENABLE_LENGTH		(1)
#define PVDEC_TEST_SECURE_MEM_CTRL_0_MEM_LOCKUP_ENABLE_DEFAULT		(0)
#define PVDEC_TEST_SECURE_MEM_CTRL_0_MEM_LOCKUP_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_TEST, SECURE_MEM_CTRL_0, SECURE_MEM_BOUNDARY */
#define PVDEC_TEST_SECURE_MEM_CTRL_0_SECURE_MEM_BOUNDARY_MASK		(0xFFFFF000)
#define PVDEC_TEST_SECURE_MEM_CTRL_0_SECURE_MEM_BOUNDARY_LSBMASK		(0x000FFFFF)
#define PVDEC_TEST_SECURE_MEM_CTRL_0_SECURE_MEM_BOUNDARY_SHIFT		(12)
#define PVDEC_TEST_SECURE_MEM_CTRL_0_SECURE_MEM_BOUNDARY_LENGTH		(20)
#define PVDEC_TEST_SECURE_MEM_CTRL_0_SECURE_MEM_BOUNDARY_DEFAULT		(0)
#define PVDEC_TEST_SECURE_MEM_CTRL_0_SECURE_MEM_BOUNDARY_SIGNED_FIELD	(0)

#define PVDEC_TEST_SECURE_MEM_CTRL_1_OFFSET		(0x0054)

/* PVDEC_TEST, SECURE_MEM_CTRL_1, SECURE_MEM_CLEAR */
#define PVDEC_TEST_SECURE_MEM_CTRL_1_SECURE_MEM_CLEAR_MASK		(0x00000001)
#define PVDEC_TEST_SECURE_MEM_CTRL_1_SECURE_MEM_CLEAR_LSBMASK		(0x00000001)
#define PVDEC_TEST_SECURE_MEM_CTRL_1_SECURE_MEM_CLEAR_SHIFT		(0)
#define PVDEC_TEST_SECURE_MEM_CTRL_1_SECURE_MEM_CLEAR_LENGTH		(1)
#define PVDEC_TEST_SECURE_MEM_CTRL_1_SECURE_MEM_CLEAR_DEFAULT		(0)
#define PVDEC_TEST_SECURE_MEM_CTRL_1_SECURE_MEM_CLEAR_SIGNED_FIELD	(0)

#define PVDEC_TEST_SECURE_MEM_STATUS_0_OFFSET		(0x0058)

/* PVDEC_TEST, SECURE_MEM_STATUS_0, SECURE_MEM_ERROR */
#define PVDEC_TEST_SECURE_MEM_STATUS_0_SECURE_MEM_ERROR_MASK		(0x00000001)
#define PVDEC_TEST_SECURE_MEM_STATUS_0_SECURE_MEM_ERROR_LSBMASK		(0x00000001)
#define PVDEC_TEST_SECURE_MEM_STATUS_0_SECURE_MEM_ERROR_SHIFT		(0)
#define PVDEC_TEST_SECURE_MEM_STATUS_0_SECURE_MEM_ERROR_LENGTH		(1)
#define PVDEC_TEST_SECURE_MEM_STATUS_0_SECURE_MEM_ERROR_DEFAULT		(0)
#define PVDEC_TEST_SECURE_MEM_STATUS_0_SECURE_MEM_ERROR_SIGNED_FIELD	(0)

/* PVDEC_TEST, SECURE_MEM_STATUS_0, SECURE_MEM_ERROR_RNW */
#define PVDEC_TEST_SECURE_MEM_STATUS_0_SECURE_MEM_ERROR_RNW_MASK		(0x00000010)
#define PVDEC_TEST_SECURE_MEM_STATUS_0_SECURE_MEM_ERROR_RNW_LSBMASK		(0x00000001)
#define PVDEC_TEST_SECURE_MEM_STATUS_0_SECURE_MEM_ERROR_RNW_SHIFT		(4)
#define PVDEC_TEST_SECURE_MEM_STATUS_0_SECURE_MEM_ERROR_RNW_LENGTH		(1)
#define PVDEC_TEST_SECURE_MEM_STATUS_0_SECURE_MEM_ERROR_RNW_DEFAULT		(0)
#define PVDEC_TEST_SECURE_MEM_STATUS_0_SECURE_MEM_ERROR_RNW_SIGNED_FIELD	(0)

/* PVDEC_TEST, SECURE_MEM_STATUS_0, SECURE_MEM_ERROR_TAG_ID */
#define PVDEC_TEST_SECURE_MEM_STATUS_0_SECURE_MEM_ERROR_TAG_ID_MASK		(0x00FF0000)
#define PVDEC_TEST_SECURE_MEM_STATUS_0_SECURE_MEM_ERROR_TAG_ID_LSBMASK		(0x000000FF)
#define PVDEC_TEST_SECURE_MEM_STATUS_0_SECURE_MEM_ERROR_TAG_ID_SHIFT		(16)
#define PVDEC_TEST_SECURE_MEM_STATUS_0_SECURE_MEM_ERROR_TAG_ID_LENGTH		(8)
#define PVDEC_TEST_SECURE_MEM_STATUS_0_SECURE_MEM_ERROR_TAG_ID_DEFAULT		(0)
#define PVDEC_TEST_SECURE_MEM_STATUS_0_SECURE_MEM_ERROR_TAG_ID_SIGNED_FIELD	(0)

#define PVDEC_TEST_SECURE_MEM_STATUS_1_OFFSET		(0x005C)

/* PVDEC_TEST, SECURE_MEM_STATUS_1, SECURE_MEM_ERROR_ADDR */
#define PVDEC_TEST_SECURE_MEM_STATUS_1_SECURE_MEM_ERROR_ADDR_MASK		(0xFFFFFFFF)
#define PVDEC_TEST_SECURE_MEM_STATUS_1_SECURE_MEM_ERROR_ADDR_LSBMASK		(0xFFFFFFFF)
#define PVDEC_TEST_SECURE_MEM_STATUS_1_SECURE_MEM_ERROR_ADDR_SHIFT		(0)
#define PVDEC_TEST_SECURE_MEM_STATUS_1_SECURE_MEM_ERROR_ADDR_LENGTH		(32)
#define PVDEC_TEST_SECURE_MEM_STATUS_1_SECURE_MEM_ERROR_ADDR_DEFAULT		(0)
#define PVDEC_TEST_SECURE_MEM_STATUS_1_SECURE_MEM_ERROR_ADDR_SIGNED_FIELD	(0)

#define PVDEC_TEST_PROT_CONTROL_0_OFFSET		(0x0070)

/* PVDEC_TEST, PROT_CONTROL_0, AXI_AWPROT */
#define PVDEC_TEST_PROT_CONTROL_0_AXI_AWPROT_MASK		(0x00000007)
#define PVDEC_TEST_PROT_CONTROL_0_AXI_AWPROT_LSBMASK		(0x00000007)
#define PVDEC_TEST_PROT_CONTROL_0_AXI_AWPROT_SHIFT		(0)
#define PVDEC_TEST_PROT_CONTROL_0_AXI_AWPROT_LENGTH		(3)
#define PVDEC_TEST_PROT_CONTROL_0_AXI_AWPROT_DEFAULT		(0)
#define PVDEC_TEST_PROT_CONTROL_0_AXI_AWPROT_SIGNED_FIELD	(0)

/* PVDEC_TEST, PROT_CONTROL_0, AXI_ARPROT */
#define PVDEC_TEST_PROT_CONTROL_0_AXI_ARPROT_MASK		(0x00000070)
#define PVDEC_TEST_PROT_CONTROL_0_AXI_ARPROT_LSBMASK		(0x00000007)
#define PVDEC_TEST_PROT_CONTROL_0_AXI_ARPROT_SHIFT		(4)
#define PVDEC_TEST_PROT_CONTROL_0_AXI_ARPROT_LENGTH		(3)
#define PVDEC_TEST_PROT_CONTROL_0_AXI_ARPROT_DEFAULT		(0)
#define PVDEC_TEST_PROT_CONTROL_0_AXI_ARPROT_SIGNED_FIELD	(0)

/* PVDEC_TEST, PROT_CONTROL_0, PVDEC_REG_PROTECTION_DISABLE */
#define PVDEC_TEST_PROT_CONTROL_0_PVDEC_REG_PROTECTION_DISABLE_MASK		(0x00000100)
#define PVDEC_TEST_PROT_CONTROL_0_PVDEC_REG_PROTECTION_DISABLE_LSBMASK		(0x00000001)
#define PVDEC_TEST_PROT_CONTROL_0_PVDEC_REG_PROTECTION_DISABLE_SHIFT		(8)
#define PVDEC_TEST_PROT_CONTROL_0_PVDEC_REG_PROTECTION_DISABLE_LENGTH		(1)
#define PVDEC_TEST_PROT_CONTROL_0_PVDEC_REG_PROTECTION_DISABLE_DEFAULT		(0)
#define PVDEC_TEST_PROT_CONTROL_0_PVDEC_REG_PROTECTION_DISABLE_SIGNED_FIELD	(0)

/* PVDEC_TEST, PROT_CONTROL_0, TRUSTED_HOST */
#define PVDEC_TEST_PROT_CONTROL_0_TRUSTED_HOST_MASK		(0x00000200)
#define PVDEC_TEST_PROT_CONTROL_0_TRUSTED_HOST_LSBMASK		(0x00000001)
#define PVDEC_TEST_PROT_CONTROL_0_TRUSTED_HOST_SHIFT		(9)
#define PVDEC_TEST_PROT_CONTROL_0_TRUSTED_HOST_LENGTH		(1)
#define PVDEC_TEST_PROT_CONTROL_0_TRUSTED_HOST_DEFAULT		(1)
#define PVDEC_TEST_PROT_CONTROL_0_TRUSTED_HOST_SIGNED_FIELD	(0)

#define PVDEC_TEST_SYS_BUS_MONITOR_0_OFFSET		(0x0080)

/* PVDEC_TEST, SYS_BUS_MONITOR_0, MON_SYS_AD_EN */
#define PVDEC_TEST_SYS_BUS_MONITOR_0_MON_SYS_AD_EN_MASK		(0x80000000)
#define PVDEC_TEST_SYS_BUS_MONITOR_0_MON_SYS_AD_EN_LSBMASK		(0x00000001)
#define PVDEC_TEST_SYS_BUS_MONITOR_0_MON_SYS_AD_EN_SHIFT		(31)
#define PVDEC_TEST_SYS_BUS_MONITOR_0_MON_SYS_AD_EN_LENGTH		(1)
#define PVDEC_TEST_SYS_BUS_MONITOR_0_MON_SYS_AD_EN_DEFAULT		(0)
#define PVDEC_TEST_SYS_BUS_MONITOR_0_MON_SYS_AD_EN_SIGNED_FIELD	(0)

/* PVDEC_TEST, SYS_BUS_MONITOR_0, MON_SYS_AD_VAL */
#define PVDEC_TEST_SYS_BUS_MONITOR_0_MON_SYS_AD_VAL_MASK		(0x40000000)
#define PVDEC_TEST_SYS_BUS_MONITOR_0_MON_SYS_AD_VAL_LSBMASK		(0x00000001)
#define PVDEC_TEST_SYS_BUS_MONITOR_0_MON_SYS_AD_VAL_SHIFT		(30)
#define PVDEC_TEST_SYS_BUS_MONITOR_0_MON_SYS_AD_VAL_LENGTH		(1)
#define PVDEC_TEST_SYS_BUS_MONITOR_0_MON_SYS_AD_VAL_DEFAULT		(0)
#define PVDEC_TEST_SYS_BUS_MONITOR_0_MON_SYS_AD_VAL_SIGNED_FIELD	(0)

/* PVDEC_TEST, SYS_BUS_MONITOR_0, MON_SYS_RDNWR */
#define PVDEC_TEST_SYS_BUS_MONITOR_0_MON_SYS_RDNWR_MASK		(0x20000000)
#define PVDEC_TEST_SYS_BUS_MONITOR_0_MON_SYS_RDNWR_LSBMASK		(0x00000001)
#define PVDEC_TEST_SYS_BUS_MONITOR_0_MON_SYS_RDNWR_SHIFT		(29)
#define PVDEC_TEST_SYS_BUS_MONITOR_0_MON_SYS_RDNWR_LENGTH		(1)
#define PVDEC_TEST_SYS_BUS_MONITOR_0_MON_SYS_RDNWR_DEFAULT		(0)
#define PVDEC_TEST_SYS_BUS_MONITOR_0_MON_SYS_RDNWR_SIGNED_FIELD	(0)

/* PVDEC_TEST, SYS_BUS_MONITOR_0, MON_SYS_RD_VAL */
#define PVDEC_TEST_SYS_BUS_MONITOR_0_MON_SYS_RD_VAL_MASK		(0x10000000)
#define PVDEC_TEST_SYS_BUS_MONITOR_0_MON_SYS_RD_VAL_LSBMASK		(0x00000001)
#define PVDEC_TEST_SYS_BUS_MONITOR_0_MON_SYS_RD_VAL_SHIFT		(28)
#define PVDEC_TEST_SYS_BUS_MONITOR_0_MON_SYS_RD_VAL_LENGTH		(1)
#define PVDEC_TEST_SYS_BUS_MONITOR_0_MON_SYS_RD_VAL_DEFAULT		(0)
#define PVDEC_TEST_SYS_BUS_MONITOR_0_MON_SYS_RD_VAL_SIGNED_FIELD	(0)

/* PVDEC_TEST, SYS_BUS_MONITOR_0, MON_SYS_ADDR */
#define PVDEC_TEST_SYS_BUS_MONITOR_0_MON_SYS_ADDR_MASK		(0x000FFFFF)
#define PVDEC_TEST_SYS_BUS_MONITOR_0_MON_SYS_ADDR_LSBMASK		(0x000FFFFF)
#define PVDEC_TEST_SYS_BUS_MONITOR_0_MON_SYS_ADDR_SHIFT		(0)
#define PVDEC_TEST_SYS_BUS_MONITOR_0_MON_SYS_ADDR_LENGTH		(20)
#define PVDEC_TEST_SYS_BUS_MONITOR_0_MON_SYS_ADDR_DEFAULT		(0)
#define PVDEC_TEST_SYS_BUS_MONITOR_0_MON_SYS_ADDR_SIGNED_FIELD	(0)

#define PVDEC_TEST_SYS_BUS_MONITOR_1_OFFSET		(0x0084)

/* PVDEC_TEST, SYS_BUS_MONITOR_1, MON_SYS_WDATA */
#define PVDEC_TEST_SYS_BUS_MONITOR_1_MON_SYS_WDATA_MASK		(0xFFFFFFFF)
#define PVDEC_TEST_SYS_BUS_MONITOR_1_MON_SYS_WDATA_LSBMASK		(0xFFFFFFFF)
#define PVDEC_TEST_SYS_BUS_MONITOR_1_MON_SYS_WDATA_SHIFT		(0)
#define PVDEC_TEST_SYS_BUS_MONITOR_1_MON_SYS_WDATA_LENGTH		(32)
#define PVDEC_TEST_SYS_BUS_MONITOR_1_MON_SYS_WDATA_DEFAULT		(0)
#define PVDEC_TEST_SYS_BUS_MONITOR_1_MON_SYS_WDATA_SIGNED_FIELD	(0)

#define PVDEC_TEST_SYS_BUS_MONITOR_2_OFFSET		(0x0088)

/* PVDEC_TEST, SYS_BUS_MONITOR_2, MON_SYS_RDATA */
#define PVDEC_TEST_SYS_BUS_MONITOR_2_MON_SYS_RDATA_MASK		(0xFFFFFFFF)
#define PVDEC_TEST_SYS_BUS_MONITOR_2_MON_SYS_RDATA_LSBMASK		(0xFFFFFFFF)
#define PVDEC_TEST_SYS_BUS_MONITOR_2_MON_SYS_RDATA_SHIFT		(0)
#define PVDEC_TEST_SYS_BUS_MONITOR_2_MON_SYS_RDATA_LENGTH		(32)
#define PVDEC_TEST_SYS_BUS_MONITOR_2_MON_SYS_RDATA_DEFAULT		(0)
#define PVDEC_TEST_SYS_BUS_MONITOR_2_MON_SYS_RDATA_SIGNED_FIELD	(0)

#define PVDEC_TEST_SYS_BUS_MONITOR_3_OFFSET		(0x008C)

/* PVDEC_TEST, SYS_BUS_MONITOR_3, SYS_OUTSTANDING_READS */
#define PVDEC_TEST_SYS_BUS_MONITOR_3_SYS_OUTSTANDING_READS_MASK		(0x000000FF)
#define PVDEC_TEST_SYS_BUS_MONITOR_3_SYS_OUTSTANDING_READS_LSBMASK		(0x000000FF)
#define PVDEC_TEST_SYS_BUS_MONITOR_3_SYS_OUTSTANDING_READS_SHIFT		(0)
#define PVDEC_TEST_SYS_BUS_MONITOR_3_SYS_OUTSTANDING_READS_LENGTH		(8)
#define PVDEC_TEST_SYS_BUS_MONITOR_3_SYS_OUTSTANDING_READS_DEFAULT		(0)
#define PVDEC_TEST_SYS_BUS_MONITOR_3_SYS_OUTSTANDING_READS_SIGNED_FIELD	(0)

/* PVDEC_TEST, SYS_BUS_MONITOR_3, SYS_OUTSTANDING_PERIOD */
#define PVDEC_TEST_SYS_BUS_MONITOR_3_SYS_OUTSTANDING_PERIOD_MASK		(0xFFFF0000)
#define PVDEC_TEST_SYS_BUS_MONITOR_3_SYS_OUTSTANDING_PERIOD_LSBMASK		(0x0000FFFF)
#define PVDEC_TEST_SYS_BUS_MONITOR_3_SYS_OUTSTANDING_PERIOD_SHIFT		(16)
#define PVDEC_TEST_SYS_BUS_MONITOR_3_SYS_OUTSTANDING_PERIOD_LENGTH		(16)
#define PVDEC_TEST_SYS_BUS_MONITOR_3_SYS_OUTSTANDING_PERIOD_DEFAULT		(0)
#define PVDEC_TEST_SYS_BUS_MONITOR_3_SYS_OUTSTANDING_PERIOD_SIGNED_FIELD	(0)

#define PVDEC_TEST_SYS_BUS_RECORD_0_OFFSET		(0x0090)

/* PVDEC_TEST, SYS_BUS_RECORD_0, SYS_BUS_FIFO_NOTEMPTY */
#define PVDEC_TEST_SYS_BUS_RECORD_0_SYS_BUS_FIFO_NOTEMPTY_MASK		(0x00000001)
#define PVDEC_TEST_SYS_BUS_RECORD_0_SYS_BUS_FIFO_NOTEMPTY_LSBMASK		(0x00000001)
#define PVDEC_TEST_SYS_BUS_RECORD_0_SYS_BUS_FIFO_NOTEMPTY_SHIFT		(0)
#define PVDEC_TEST_SYS_BUS_RECORD_0_SYS_BUS_FIFO_NOTEMPTY_LENGTH		(1)
#define PVDEC_TEST_SYS_BUS_RECORD_0_SYS_BUS_FIFO_NOTEMPTY_DEFAULT		(0)
#define PVDEC_TEST_SYS_BUS_RECORD_0_SYS_BUS_FIFO_NOTEMPTY_SIGNED_FIELD	(0)

/* PVDEC_TEST, SYS_BUS_RECORD_0, SYS_BUS_FIFO_FULL */
#define PVDEC_TEST_SYS_BUS_RECORD_0_SYS_BUS_FIFO_FULL_MASK		(0x00000002)
#define PVDEC_TEST_SYS_BUS_RECORD_0_SYS_BUS_FIFO_FULL_LSBMASK		(0x00000001)
#define PVDEC_TEST_SYS_BUS_RECORD_0_SYS_BUS_FIFO_FULL_SHIFT		(1)
#define PVDEC_TEST_SYS_BUS_RECORD_0_SYS_BUS_FIFO_FULL_LENGTH		(1)
#define PVDEC_TEST_SYS_BUS_RECORD_0_SYS_BUS_FIFO_FULL_DEFAULT		(0)
#define PVDEC_TEST_SYS_BUS_RECORD_0_SYS_BUS_FIFO_FULL_SIGNED_FIELD	(0)

#define PVDEC_TEST_SYS_BUS_RECORD_1_OFFSET		(0x0094)

/* PVDEC_TEST, SYS_BUS_RECORD_1, SYS_BUS_READ_LATENCY_COUNTER */
#define PVDEC_TEST_SYS_BUS_RECORD_1_SYS_BUS_READ_LATENCY_COUNTER_MASK		(0x3FFFFFFF)
#define PVDEC_TEST_SYS_BUS_RECORD_1_SYS_BUS_READ_LATENCY_COUNTER_LSBMASK		(0x3FFFFFFF)
#define PVDEC_TEST_SYS_BUS_RECORD_1_SYS_BUS_READ_LATENCY_COUNTER_SHIFT		(0)
#define PVDEC_TEST_SYS_BUS_RECORD_1_SYS_BUS_READ_LATENCY_COUNTER_LENGTH		(30)
#define PVDEC_TEST_SYS_BUS_RECORD_1_SYS_BUS_READ_LATENCY_COUNTER_DEFAULT		(0)
#define PVDEC_TEST_SYS_BUS_RECORD_1_SYS_BUS_READ_LATENCY_COUNTER_SIGNED_FIELD	(0)

/* PVDEC_TEST, SYS_BUS_RECORD_1, SYS_BUS_READ_OPERATION_OVERFLOW */
#define PVDEC_TEST_SYS_BUS_RECORD_1_SYS_BUS_READ_OPERATION_OVERFLOW_MASK		(0x40000000)
#define PVDEC_TEST_SYS_BUS_RECORD_1_SYS_BUS_READ_OPERATION_OVERFLOW_LSBMASK		(0x00000001)
#define PVDEC_TEST_SYS_BUS_RECORD_1_SYS_BUS_READ_OPERATION_OVERFLOW_SHIFT		(30)
#define PVDEC_TEST_SYS_BUS_RECORD_1_SYS_BUS_READ_OPERATION_OVERFLOW_LENGTH		(1)
#define PVDEC_TEST_SYS_BUS_RECORD_1_SYS_BUS_READ_OPERATION_OVERFLOW_DEFAULT		(0)
#define PVDEC_TEST_SYS_BUS_RECORD_1_SYS_BUS_READ_OPERATION_OVERFLOW_SIGNED_FIELD	(0)

/* PVDEC_TEST, SYS_BUS_RECORD_1, SYS_BUS_OPERATION */
#define PVDEC_TEST_SYS_BUS_RECORD_1_SYS_BUS_OPERATION_MASK		(0x80000000)
#define PVDEC_TEST_SYS_BUS_RECORD_1_SYS_BUS_OPERATION_LSBMASK		(0x00000001)
#define PVDEC_TEST_SYS_BUS_RECORD_1_SYS_BUS_OPERATION_SHIFT		(31)
#define PVDEC_TEST_SYS_BUS_RECORD_1_SYS_BUS_OPERATION_LENGTH		(1)
#define PVDEC_TEST_SYS_BUS_RECORD_1_SYS_BUS_OPERATION_DEFAULT		(0)
#define PVDEC_TEST_SYS_BUS_RECORD_1_SYS_BUS_OPERATION_SIGNED_FIELD	(0)

#define PVDEC_TEST_SYS_BUS_RECORD_2_OFFSET		(0x0098)

/* PVDEC_TEST, SYS_BUS_RECORD_2, SYS_BUS_ADDR */
#define PVDEC_TEST_SYS_BUS_RECORD_2_SYS_BUS_ADDR_MASK		(0xFFFFFFFF)
#define PVDEC_TEST_SYS_BUS_RECORD_2_SYS_BUS_ADDR_LSBMASK		(0xFFFFFFFF)
#define PVDEC_TEST_SYS_BUS_RECORD_2_SYS_BUS_ADDR_SHIFT		(0)
#define PVDEC_TEST_SYS_BUS_RECORD_2_SYS_BUS_ADDR_LENGTH		(32)
#define PVDEC_TEST_SYS_BUS_RECORD_2_SYS_BUS_ADDR_DEFAULT		(0)
#define PVDEC_TEST_SYS_BUS_RECORD_2_SYS_BUS_ADDR_SIGNED_FIELD	(0)

#define PVDEC_TEST_SYS_BUS_RECORD_3_OFFSET		(0x009C)

/* PVDEC_TEST, SYS_BUS_RECORD_3, SYS_BUS_DATA */
#define PVDEC_TEST_SYS_BUS_RECORD_3_SYS_BUS_DATA_MASK		(0xFFFFFFFF)
#define PVDEC_TEST_SYS_BUS_RECORD_3_SYS_BUS_DATA_LSBMASK		(0xFFFFFFFF)
#define PVDEC_TEST_SYS_BUS_RECORD_3_SYS_BUS_DATA_SHIFT		(0)
#define PVDEC_TEST_SYS_BUS_RECORD_3_SYS_BUS_DATA_LENGTH		(32)
#define PVDEC_TEST_SYS_BUS_RECORD_3_SYS_BUS_DATA_DEFAULT		(0)
#define PVDEC_TEST_SYS_BUS_RECORD_3_SYS_BUS_DATA_SIGNED_FIELD	(0)

#define PVDEC_TEST_MEMORY_BUS4_MONITOR_0_OFFSET		(0x00A0)

/* PVDEC_TEST, MEMORY_BUS4_MONITOR_0, BUS4_OUTSTANDING_READ_WORDS */
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_0_BUS4_OUTSTANDING_READ_WORDS_MASK		(0x0000FFFF)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_0_BUS4_OUTSTANDING_READ_WORDS_LSBMASK		(0x0000FFFF)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_0_BUS4_OUTSTANDING_READ_WORDS_SHIFT		(0)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_0_BUS4_OUTSTANDING_READ_WORDS_LENGTH		(16)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_0_BUS4_OUTSTANDING_READ_WORDS_DEFAULT		(0)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_0_BUS4_OUTSTANDING_READ_WORDS_SIGNED_FIELD	(0)

/* PVDEC_TEST, MEMORY_BUS4_MONITOR_0, BUS4_OUTSTANDING_WRITE_WORDS */
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_0_BUS4_OUTSTANDING_WRITE_WORDS_MASK		(0xFFFF0000)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_0_BUS4_OUTSTANDING_WRITE_WORDS_LSBMASK		(0x0000FFFF)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_0_BUS4_OUTSTANDING_WRITE_WORDS_SHIFT		(16)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_0_BUS4_OUTSTANDING_WRITE_WORDS_LENGTH		(16)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_0_BUS4_OUTSTANDING_WRITE_WORDS_DEFAULT		(0)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_0_BUS4_OUTSTANDING_WRITE_WORDS_SIGNED_FIELD	(0)

#define PVDEC_TEST_MEMORY_BUS4_MONITOR_1_OFFSET		(0x00A4)

/* PVDEC_TEST, MEMORY_BUS4_MONITOR_1, BUS4_OUTSTANDING_WRITE_TAGS */
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_1_BUS4_OUTSTANDING_WRITE_TAGS_MASK		(0x000003FF)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_1_BUS4_OUTSTANDING_WRITE_TAGS_LSBMASK		(0x000003FF)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_1_BUS4_OUTSTANDING_WRITE_TAGS_SHIFT		(0)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_1_BUS4_OUTSTANDING_WRITE_TAGS_LENGTH		(10)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_1_BUS4_OUTSTANDING_WRITE_TAGS_DEFAULT		(0)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_1_BUS4_OUTSTANDING_WRITE_TAGS_SIGNED_FIELD	(0)

/* PVDEC_TEST, MEMORY_BUS4_MONITOR_1, BUS4_READ_DATA_OVERRUN */
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_1_BUS4_READ_DATA_OVERRUN_MASK		(0x20000000)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_1_BUS4_READ_DATA_OVERRUN_LSBMASK		(0x00000001)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_1_BUS4_READ_DATA_OVERRUN_SHIFT		(29)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_1_BUS4_READ_DATA_OVERRUN_LENGTH		(1)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_1_BUS4_READ_DATA_OVERRUN_DEFAULT		(0)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_1_BUS4_READ_DATA_OVERRUN_SIGNED_FIELD	(0)

/* PVDEC_TEST, MEMORY_BUS4_MONITOR_1, BUS4_WRITE_DATA_OVERRUN */
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_1_BUS4_WRITE_DATA_OVERRUN_MASK		(0x40000000)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_1_BUS4_WRITE_DATA_OVERRUN_LSBMASK		(0x00000001)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_1_BUS4_WRITE_DATA_OVERRUN_SHIFT		(30)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_1_BUS4_WRITE_DATA_OVERRUN_LENGTH		(1)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_1_BUS4_WRITE_DATA_OVERRUN_DEFAULT		(0)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_1_BUS4_WRITE_DATA_OVERRUN_SIGNED_FIELD	(0)

/* PVDEC_TEST, MEMORY_BUS4_MONITOR_1, BUS4_WRITE_TAG_OVERRUN */
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_1_BUS4_WRITE_TAG_OVERRUN_MASK		(0x80000000)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_1_BUS4_WRITE_TAG_OVERRUN_LSBMASK		(0x00000001)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_1_BUS4_WRITE_TAG_OVERRUN_SHIFT		(31)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_1_BUS4_WRITE_TAG_OVERRUN_LENGTH		(1)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_1_BUS4_WRITE_TAG_OVERRUN_DEFAULT		(0)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_1_BUS4_WRITE_TAG_OVERRUN_SIGNED_FIELD	(0)

#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_OFFSET		(0x00A8)

/* PVDEC_TEST, MEMORY_BUS4_MONITOR_2, BUS4_CMD_VALID */
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_VALID_MASK		(0x00000001)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_VALID_LSBMASK		(0x00000001)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_VALID_SHIFT		(0)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_VALID_LENGTH		(1)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_VALID_DEFAULT		(0)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_VALID_SIGNED_FIELD	(0)

/* PVDEC_TEST, MEMORY_BUS4_MONITOR_2, BUS4_CMD_ENABLE */
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_ENABLE_MASK		(0x00000002)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_ENABLE_SHIFT		(1)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_ENABLE_LENGTH		(1)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_ENABLE_DEFAULT		(1)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_TEST, MEMORY_BUS4_MONITOR_2, BUS4_CMD_RDNWR */
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_RDNWR_MASK		(0x00000004)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_RDNWR_LSBMASK		(0x00000001)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_RDNWR_SHIFT		(2)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_RDNWR_LENGTH		(1)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_RDNWR_DEFAULT		(0)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_RDNWR_SIGNED_FIELD	(0)

/* PVDEC_TEST, MEMORY_BUS4_MONITOR_2, BUS4_CMD_SECURITY */
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_SECURITY_MASK		(0x00000008)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_SECURITY_LSBMASK		(0x00000001)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_SECURITY_SHIFT		(3)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_SECURITY_LENGTH		(1)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_SECURITY_DEFAULT		(0)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_SECURITY_SIGNED_FIELD	(0)

/* PVDEC_TEST, MEMORY_BUS4_MONITOR_2, BUS4_CMD_INT_TAG */
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_INT_TAG_MASK		(0x000001F0)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_INT_TAG_LSBMASK		(0x0000001F)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_INT_TAG_SHIFT		(4)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_INT_TAG_LENGTH		(5)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_INT_TAG_DEFAULT		(0)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_INT_TAG_SIGNED_FIELD	(0)

/* PVDEC_TEST, MEMORY_BUS4_MONITOR_2, BUS4_CMD_PRIORITY */
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_PRIORITY_MASK		(0x00000200)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_PRIORITY_LSBMASK		(0x00000001)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_PRIORITY_SHIFT		(9)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_PRIORITY_LENGTH		(1)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_PRIORITY_DEFAULT		(0)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_PRIORITY_SIGNED_FIELD	(0)

/* PVDEC_TEST, MEMORY_BUS4_MONITOR_2, BUS4_CMD_FENCE */
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_FENCE_MASK		(0x00000400)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_FENCE_LSBMASK		(0x00000001)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_FENCE_SHIFT		(10)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_FENCE_LENGTH		(1)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_FENCE_DEFAULT		(0)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_FENCE_SIGNED_FIELD	(0)

/* PVDEC_TEST, MEMORY_BUS4_MONITOR_2, BUS4_CMD_BURST_LENGTH */
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_BURST_LENGTH_MASK		(0x0000F000)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_BURST_LENGTH_LSBMASK		(0x0000000F)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_BURST_LENGTH_SHIFT		(12)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_BURST_LENGTH_LENGTH		(4)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_BURST_LENGTH_DEFAULT		(0)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_BURST_LENGTH_SIGNED_FIELD	(0)

/* PVDEC_TEST, MEMORY_BUS4_MONITOR_2, BUS4_WDATA_VALID */
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_WDATA_VALID_MASK		(0x00010000)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_WDATA_VALID_LSBMASK		(0x00000001)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_WDATA_VALID_SHIFT		(16)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_WDATA_VALID_LENGTH		(1)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_WDATA_VALID_DEFAULT		(0)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_WDATA_VALID_SIGNED_FIELD	(0)

/* PVDEC_TEST, MEMORY_BUS4_MONITOR_2, BUS4_WDATA_ENABLE */
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_WDATA_ENABLE_MASK		(0x00020000)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_WDATA_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_WDATA_ENABLE_SHIFT		(17)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_WDATA_ENABLE_LENGTH		(1)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_WDATA_ENABLE_DEFAULT		(1)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_WDATA_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_TEST, MEMORY_BUS4_MONITOR_2, BUS4_WRESP_VALID */
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_WRESP_VALID_MASK		(0x00040000)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_WRESP_VALID_LSBMASK		(0x00000001)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_WRESP_VALID_SHIFT		(18)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_WRESP_VALID_LENGTH		(1)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_WRESP_VALID_DEFAULT		(0)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_WRESP_VALID_SIGNED_FIELD	(0)

/* PVDEC_TEST, MEMORY_BUS4_MONITOR_2, BUS4_WRESP_ENABLE */
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_WRESP_ENABLE_MASK		(0x00080000)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_WRESP_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_WRESP_ENABLE_SHIFT		(19)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_WRESP_ENABLE_LENGTH		(1)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_WRESP_ENABLE_DEFAULT		(1)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_WRESP_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_TEST, MEMORY_BUS4_MONITOR_2, BUS4_RDATA_VALID */
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_RDATA_VALID_MASK		(0x00100000)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_RDATA_VALID_LSBMASK		(0x00000001)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_RDATA_VALID_SHIFT		(20)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_RDATA_VALID_LENGTH		(1)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_RDATA_VALID_DEFAULT		(0)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_RDATA_VALID_SIGNED_FIELD	(0)

/* PVDEC_TEST, MEMORY_BUS4_MONITOR_2, BUS4_RDATA_ENABLE */
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_RDATA_ENABLE_MASK		(0x00200000)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_RDATA_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_RDATA_ENABLE_SHIFT		(21)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_RDATA_ENABLE_LENGTH		(1)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_RDATA_ENABLE_DEFAULT		(1)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_RDATA_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_TEST, MEMORY_BUS4_MONITOR_2, BUS4_CMD_VALID_STALL */
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_VALID_STALL_MASK		(0x00400000)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_VALID_STALL_LSBMASK		(0x00000001)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_VALID_STALL_SHIFT		(22)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_VALID_STALL_LENGTH		(1)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_VALID_STALL_DEFAULT		(0)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_VALID_STALL_SIGNED_FIELD	(0)

/* PVDEC_TEST, MEMORY_BUS4_MONITOR_2, BUS4_CMD_ENABLE_STALL */
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_ENABLE_STALL_MASK		(0x00800000)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_ENABLE_STALL_LSBMASK		(0x00000001)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_ENABLE_STALL_SHIFT		(23)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_ENABLE_STALL_LENGTH		(1)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_ENABLE_STALL_DEFAULT		(1)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_ENABLE_STALL_SIGNED_FIELD	(0)

/* PVDEC_TEST, MEMORY_BUS4_MONITOR_2, BUS4_CMD_VALID_CHECK */
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_VALID_CHECK_MASK		(0x01000000)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_VALID_CHECK_LSBMASK		(0x00000001)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_VALID_CHECK_SHIFT		(24)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_VALID_CHECK_LENGTH		(1)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_VALID_CHECK_DEFAULT		(0)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_VALID_CHECK_SIGNED_FIELD	(0)

/* PVDEC_TEST, MEMORY_BUS4_MONITOR_2, BUS4_CMD_ENABLE_CHECK */
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_ENABLE_CHECK_MASK		(0x02000000)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_ENABLE_CHECK_LSBMASK		(0x00000001)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_ENABLE_CHECK_SHIFT		(25)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_ENABLE_CHECK_LENGTH		(1)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_ENABLE_CHECK_DEFAULT		(1)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_CMD_ENABLE_CHECK_SIGNED_FIELD	(0)

/* PVDEC_TEST, MEMORY_BUS4_MONITOR_2, BUS4_WDATA_VALID_STALL */
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_WDATA_VALID_STALL_MASK		(0x04000000)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_WDATA_VALID_STALL_LSBMASK		(0x00000001)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_WDATA_VALID_STALL_SHIFT		(26)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_WDATA_VALID_STALL_LENGTH		(1)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_WDATA_VALID_STALL_DEFAULT		(0)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_WDATA_VALID_STALL_SIGNED_FIELD	(0)

/* PVDEC_TEST, MEMORY_BUS4_MONITOR_2, BUS4_WDATA_ENABLE_STALL */
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_WDATA_ENABLE_STALL_MASK		(0x08000000)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_WDATA_ENABLE_STALL_LSBMASK		(0x00000001)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_WDATA_ENABLE_STALL_SHIFT		(27)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_WDATA_ENABLE_STALL_LENGTH		(1)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_WDATA_ENABLE_STALL_DEFAULT		(1)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_WDATA_ENABLE_STALL_SIGNED_FIELD	(0)

/* PVDEC_TEST, MEMORY_BUS4_MONITOR_2, BUS4_WRESP_VALID_STALL */
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_WRESP_VALID_STALL_MASK		(0x10000000)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_WRESP_VALID_STALL_LSBMASK		(0x00000001)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_WRESP_VALID_STALL_SHIFT		(28)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_WRESP_VALID_STALL_LENGTH		(1)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_WRESP_VALID_STALL_DEFAULT		(0)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_WRESP_VALID_STALL_SIGNED_FIELD	(0)

/* PVDEC_TEST, MEMORY_BUS4_MONITOR_2, BUS4_WRESP_ENABLE_STALL */
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_WRESP_ENABLE_STALL_MASK		(0x20000000)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_WRESP_ENABLE_STALL_LSBMASK		(0x00000001)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_WRESP_ENABLE_STALL_SHIFT		(29)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_WRESP_ENABLE_STALL_LENGTH		(1)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_WRESP_ENABLE_STALL_DEFAULT		(1)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_WRESP_ENABLE_STALL_SIGNED_FIELD	(0)

/* PVDEC_TEST, MEMORY_BUS4_MONITOR_2, BUS4_RDATA_VALID_STALL */
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_RDATA_VALID_STALL_MASK		(0x40000000)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_RDATA_VALID_STALL_LSBMASK		(0x00000001)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_RDATA_VALID_STALL_SHIFT		(30)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_RDATA_VALID_STALL_LENGTH		(1)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_RDATA_VALID_STALL_DEFAULT		(0)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_RDATA_VALID_STALL_SIGNED_FIELD	(0)

/* PVDEC_TEST, MEMORY_BUS4_MONITOR_2, BUS4_RDATA_ENABLE_STALL */
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_RDATA_ENABLE_STALL_MASK		(0x80000000)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_RDATA_ENABLE_STALL_LSBMASK		(0x00000001)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_RDATA_ENABLE_STALL_SHIFT		(31)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_RDATA_ENABLE_STALL_LENGTH		(1)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_RDATA_ENABLE_STALL_DEFAULT		(1)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_2_BUS4_RDATA_ENABLE_STALL_SIGNED_FIELD	(0)

#define PVDEC_TEST_MEMORY_BUS4_MONITOR_3_OFFSET		(0x00AC)

/* PVDEC_TEST, MEMORY_BUS4_MONITOR_3, BUS4_CMD_ADDR */
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_3_BUS4_CMD_ADDR_MASK		(0xFFFFFFFF)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_3_BUS4_CMD_ADDR_LSBMASK		(0xFFFFFFFF)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_3_BUS4_CMD_ADDR_SHIFT		(0)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_3_BUS4_CMD_ADDR_LENGTH		(32)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_3_BUS4_CMD_ADDR_DEFAULT		(0)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_3_BUS4_CMD_ADDR_SIGNED_FIELD	(0)

#define PVDEC_TEST_MEMORY_BUS4_MONITOR_4_OFFSET		(0x00B0)

/* PVDEC_TEST, MEMORY_BUS4_MONITOR_4, BUS4_CMD_LOCKUP_BURST_LENGTH */
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_4_BUS4_CMD_LOCKUP_BURST_LENGTH_MASK		(0x0000000F)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_4_BUS4_CMD_LOCKUP_BURST_LENGTH_LSBMASK		(0x0000000F)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_4_BUS4_CMD_LOCKUP_BURST_LENGTH_SHIFT		(0)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_4_BUS4_CMD_LOCKUP_BURST_LENGTH_LENGTH		(4)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_4_BUS4_CMD_LOCKUP_BURST_LENGTH_DEFAULT		(0)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_4_BUS4_CMD_LOCKUP_BURST_LENGTH_SIGNED_FIELD	(0)

/* PVDEC_TEST, MEMORY_BUS4_MONITOR_4, BUS4_CMD_LOCKUP_INT_TAG */
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_4_BUS4_CMD_LOCKUP_INT_TAG_MASK		(0x000001F0)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_4_BUS4_CMD_LOCKUP_INT_TAG_LSBMASK		(0x0000001F)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_4_BUS4_CMD_LOCKUP_INT_TAG_SHIFT		(4)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_4_BUS4_CMD_LOCKUP_INT_TAG_LENGTH		(5)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_4_BUS4_CMD_LOCKUP_INT_TAG_DEFAULT		(0)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_4_BUS4_CMD_LOCKUP_INT_TAG_SIGNED_FIELD	(0)

/* PVDEC_TEST, MEMORY_BUS4_MONITOR_4, BUS4_CMD_LOCKUP_RDNWR */
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_4_BUS4_CMD_LOCKUP_RDNWR_MASK		(0x00001000)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_4_BUS4_CMD_LOCKUP_RDNWR_LSBMASK		(0x00000001)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_4_BUS4_CMD_LOCKUP_RDNWR_SHIFT		(12)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_4_BUS4_CMD_LOCKUP_RDNWR_LENGTH		(1)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_4_BUS4_CMD_LOCKUP_RDNWR_DEFAULT		(0)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_4_BUS4_CMD_LOCKUP_RDNWR_SIGNED_FIELD	(0)

/* PVDEC_TEST, MEMORY_BUS4_MONITOR_4, BUS4_CMD_CHECK_LOCKUP */
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_4_BUS4_CMD_CHECK_LOCKUP_MASK		(0x80000000)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_4_BUS4_CMD_CHECK_LOCKUP_LSBMASK		(0x00000001)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_4_BUS4_CMD_CHECK_LOCKUP_SHIFT		(31)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_4_BUS4_CMD_CHECK_LOCKUP_LENGTH		(1)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_4_BUS4_CMD_CHECK_LOCKUP_DEFAULT		(0)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_4_BUS4_CMD_CHECK_LOCKUP_SIGNED_FIELD	(0)

#define PVDEC_TEST_MEMORY_BUS4_MONITOR_5_OFFSET		(0x00B4)

/* PVDEC_TEST, MEMORY_BUS4_MONITOR_5, BUS4_CMD_LOCKUP_ADDR */
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_5_BUS4_CMD_LOCKUP_ADDR_MASK		(0xFFFFFFFF)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_5_BUS4_CMD_LOCKUP_ADDR_LSBMASK		(0xFFFFFFFF)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_5_BUS4_CMD_LOCKUP_ADDR_SHIFT		(0)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_5_BUS4_CMD_LOCKUP_ADDR_LENGTH		(32)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_5_BUS4_CMD_LOCKUP_ADDR_DEFAULT		(0)
#define PVDEC_TEST_MEMORY_BUS4_MONITOR_5_BUS4_CMD_LOCKUP_ADDR_SIGNED_FIELD	(0)

#define PVDEC_TEST_MEMORY_BUS2_MONITOR_0_OFFSET		(0x00C0)

/* PVDEC_TEST, MEMORY_BUS2_MONITOR_0, BUS2_OUTSTANDING_READ_WORDS */
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_0_BUS2_OUTSTANDING_READ_WORDS_MASK		(0x0000FFFF)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_0_BUS2_OUTSTANDING_READ_WORDS_LSBMASK		(0x0000FFFF)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_0_BUS2_OUTSTANDING_READ_WORDS_SHIFT		(0)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_0_BUS2_OUTSTANDING_READ_WORDS_LENGTH		(16)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_0_BUS2_OUTSTANDING_READ_WORDS_DEFAULT		(0)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_0_BUS2_OUTSTANDING_READ_WORDS_SIGNED_FIELD	(0)

#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_OFFSET		(0x00C4)

/* PVDEC_TEST, MEMORY_BUS2_MONITOR_1, BUS2_AD_VAL */
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_AD_VAL_MASK		(0x00000001)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_AD_VAL_LSBMASK		(0x00000001)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_AD_VAL_SHIFT		(0)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_AD_VAL_LENGTH		(1)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_AD_VAL_DEFAULT		(0)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_AD_VAL_SIGNED_FIELD	(0)

/* PVDEC_TEST, MEMORY_BUS2_MONITOR_1, BUS2_AD_ENABLE */
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_AD_ENABLE_MASK		(0x00000002)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_AD_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_AD_ENABLE_SHIFT		(1)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_AD_ENABLE_LENGTH		(1)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_AD_ENABLE_DEFAULT		(1)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_AD_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_TEST, MEMORY_BUS2_MONITOR_1, BUS2_RDNWR */
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_RDNWR_MASK		(0x00000004)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_RDNWR_LSBMASK		(0x00000001)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_RDNWR_SHIFT		(2)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_RDNWR_LENGTH		(1)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_RDNWR_DEFAULT		(0)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_RDNWR_SIGNED_FIELD	(0)

/* PVDEC_TEST, MEMORY_BUS2_MONITOR_1, BUS2_SECURITY */
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_SECURITY_MASK		(0x00000008)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_SECURITY_LSBMASK		(0x00000001)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_SECURITY_SHIFT		(3)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_SECURITY_LENGTH		(1)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_SECURITY_DEFAULT		(0)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_SECURITY_SIGNED_FIELD	(0)

/* PVDEC_TEST, MEMORY_BUS2_MONITOR_1, BUS2_BURST_LENGTH */
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_BURST_LENGTH_MASK		(0x000001F0)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_BURST_LENGTH_LSBMASK		(0x0000001F)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_BURST_LENGTH_SHIFT		(4)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_BURST_LENGTH_LENGTH		(5)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_BURST_LENGTH_DEFAULT		(0)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_BURST_LENGTH_SIGNED_FIELD	(0)

/* PVDEC_TEST, MEMORY_BUS2_MONITOR_1, BUS2_BURST_START */
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_BURST_START_MASK		(0x00000200)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_BURST_START_LSBMASK		(0x00000001)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_BURST_START_SHIFT		(9)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_BURST_START_LENGTH		(1)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_BURST_START_DEFAULT		(0)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_BURST_START_SIGNED_FIELD	(0)

/* PVDEC_TEST, MEMORY_BUS2_MONITOR_1, BUS2_BURST_END */
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_BURST_END_MASK		(0x00000400)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_BURST_END_LSBMASK		(0x00000001)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_BURST_END_SHIFT		(10)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_BURST_END_LENGTH		(1)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_BURST_END_DEFAULT		(0)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_BURST_END_SIGNED_FIELD	(0)

/* PVDEC_TEST, MEMORY_BUS2_MONITOR_1, BUS2_RD_VAL */
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_RD_VAL_MASK		(0x00000800)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_RD_VAL_LSBMASK		(0x00000001)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_RD_VAL_SHIFT		(11)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_RD_VAL_LENGTH		(1)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_RD_VAL_DEFAULT		(0)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_RD_VAL_SIGNED_FIELD	(0)

/* PVDEC_TEST, MEMORY_BUS2_MONITOR_1, BUS2_INT_TAG */
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_INT_TAG_MASK		(0x0001F000)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_INT_TAG_LSBMASK		(0x0000001F)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_INT_TAG_SHIFT		(12)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_INT_TAG_LENGTH		(5)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_INT_TAG_DEFAULT		(0)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_INT_TAG_SIGNED_FIELD	(0)

/* PVDEC_TEST, MEMORY_BUS2_MONITOR_1, BUS2_READ_DATA_OVERRUN */
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_READ_DATA_OVERRUN_MASK		(0x80000000)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_READ_DATA_OVERRUN_LSBMASK		(0x00000001)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_READ_DATA_OVERRUN_SHIFT		(31)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_READ_DATA_OVERRUN_LENGTH		(1)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_READ_DATA_OVERRUN_DEFAULT		(0)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_1_BUS2_READ_DATA_OVERRUN_SIGNED_FIELD	(0)

#define PVDEC_TEST_MEMORY_BUS2_MONITOR_2_OFFSET		(0x00C8)

/* PVDEC_TEST, MEMORY_BUS2_MONITOR_2, BUS2_ADDR */
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_2_BUS2_ADDR_MASK		(0xFFFFFFFF)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_2_BUS2_ADDR_LSBMASK		(0xFFFFFFFF)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_2_BUS2_ADDR_SHIFT		(0)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_2_BUS2_ADDR_LENGTH		(32)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_2_BUS2_ADDR_DEFAULT		(0)
#define PVDEC_TEST_MEMORY_BUS2_MONITOR_2_BUS2_ADDR_SIGNED_FIELD	(0)

#define PVDEC_TEST_RAND_STL_MEM_CMD_CONFIG_OFFSET		(0x00E0)

/* PVDEC_TEST, RAND_STL_MEM_CMD_CONFIG, SEED_BURST_MEM_CMD */
#define PVDEC_TEST_RAND_STL_MEM_CMD_CONFIG_SEED_BURST_MEM_CMD_MASK		(0x000007FF)
#define PVDEC_TEST_RAND_STL_MEM_CMD_CONFIG_SEED_BURST_MEM_CMD_LSBMASK		(0x000007FF)
#define PVDEC_TEST_RAND_STL_MEM_CMD_CONFIG_SEED_BURST_MEM_CMD_SHIFT		(0)
#define PVDEC_TEST_RAND_STL_MEM_CMD_CONFIG_SEED_BURST_MEM_CMD_LENGTH		(11)
#define PVDEC_TEST_RAND_STL_MEM_CMD_CONFIG_SEED_BURST_MEM_CMD_DEFAULT		(682)
#define PVDEC_TEST_RAND_STL_MEM_CMD_CONFIG_SEED_BURST_MEM_CMD_SIGNED_FIELD	(0)

/* PVDEC_TEST, RAND_STL_MEM_CMD_CONFIG, SEED_GAP_MEM_CMD */
#define PVDEC_TEST_RAND_STL_MEM_CMD_CONFIG_SEED_GAP_MEM_CMD_MASK		(0x003FF800)
#define PVDEC_TEST_RAND_STL_MEM_CMD_CONFIG_SEED_GAP_MEM_CMD_LSBMASK		(0x000007FF)
#define PVDEC_TEST_RAND_STL_MEM_CMD_CONFIG_SEED_GAP_MEM_CMD_SHIFT		(11)
#define PVDEC_TEST_RAND_STL_MEM_CMD_CONFIG_SEED_GAP_MEM_CMD_LENGTH		(11)
#define PVDEC_TEST_RAND_STL_MEM_CMD_CONFIG_SEED_GAP_MEM_CMD_DEFAULT		(1365)
#define PVDEC_TEST_RAND_STL_MEM_CMD_CONFIG_SEED_GAP_MEM_CMD_SIGNED_FIELD	(0)

/* PVDEC_TEST, RAND_STL_MEM_CMD_CONFIG, MAX_BURST_MEM_CMD */
#define PVDEC_TEST_RAND_STL_MEM_CMD_CONFIG_MAX_BURST_MEM_CMD_MASK		(0x03C00000)
#define PVDEC_TEST_RAND_STL_MEM_CMD_CONFIG_MAX_BURST_MEM_CMD_LSBMASK		(0x0000000F)
#define PVDEC_TEST_RAND_STL_MEM_CMD_CONFIG_MAX_BURST_MEM_CMD_SHIFT		(22)
#define PVDEC_TEST_RAND_STL_MEM_CMD_CONFIG_MAX_BURST_MEM_CMD_LENGTH		(4)
#define PVDEC_TEST_RAND_STL_MEM_CMD_CONFIG_MAX_BURST_MEM_CMD_DEFAULT		(3)
#define PVDEC_TEST_RAND_STL_MEM_CMD_CONFIG_MAX_BURST_MEM_CMD_SIGNED_FIELD	(0)

/* PVDEC_TEST, RAND_STL_MEM_CMD_CONFIG, MAX_GAP_MEM_CMD */
#define PVDEC_TEST_RAND_STL_MEM_CMD_CONFIG_MAX_GAP_MEM_CMD_MASK		(0x3C000000)
#define PVDEC_TEST_RAND_STL_MEM_CMD_CONFIG_MAX_GAP_MEM_CMD_LSBMASK		(0x0000000F)
#define PVDEC_TEST_RAND_STL_MEM_CMD_CONFIG_MAX_GAP_MEM_CMD_SHIFT		(26)
#define PVDEC_TEST_RAND_STL_MEM_CMD_CONFIG_MAX_GAP_MEM_CMD_LENGTH		(4)
#define PVDEC_TEST_RAND_STL_MEM_CMD_CONFIG_MAX_GAP_MEM_CMD_DEFAULT		(2)
#define PVDEC_TEST_RAND_STL_MEM_CMD_CONFIG_MAX_GAP_MEM_CMD_SIGNED_FIELD	(0)

/* PVDEC_TEST, RAND_STL_MEM_CMD_CONFIG, STALL_ENABLE_MEM_CMD */
#define PVDEC_TEST_RAND_STL_MEM_CMD_CONFIG_STALL_ENABLE_MEM_CMD_MASK		(0x80000000)
#define PVDEC_TEST_RAND_STL_MEM_CMD_CONFIG_STALL_ENABLE_MEM_CMD_LSBMASK		(0x00000001)
#define PVDEC_TEST_RAND_STL_MEM_CMD_CONFIG_STALL_ENABLE_MEM_CMD_SHIFT		(31)
#define PVDEC_TEST_RAND_STL_MEM_CMD_CONFIG_STALL_ENABLE_MEM_CMD_LENGTH		(1)
#define PVDEC_TEST_RAND_STL_MEM_CMD_CONFIG_STALL_ENABLE_MEM_CMD_DEFAULT		(1)
#define PVDEC_TEST_RAND_STL_MEM_CMD_CONFIG_STALL_ENABLE_MEM_CMD_SIGNED_FIELD	(0)

#define PVDEC_TEST_RAND_STL_MEM_WDATA_CONFIG_OFFSET		(0x00E4)

/* PVDEC_TEST, RAND_STL_MEM_WDATA_CONFIG, SEED_BURST_MEM_WDATA */
#define PVDEC_TEST_RAND_STL_MEM_WDATA_CONFIG_SEED_BURST_MEM_WDATA_MASK		(0x000007FF)
#define PVDEC_TEST_RAND_STL_MEM_WDATA_CONFIG_SEED_BURST_MEM_WDATA_LSBMASK		(0x000007FF)
#define PVDEC_TEST_RAND_STL_MEM_WDATA_CONFIG_SEED_BURST_MEM_WDATA_SHIFT		(0)
#define PVDEC_TEST_RAND_STL_MEM_WDATA_CONFIG_SEED_BURST_MEM_WDATA_LENGTH		(11)
#define PVDEC_TEST_RAND_STL_MEM_WDATA_CONFIG_SEED_BURST_MEM_WDATA_DEFAULT		(682)
#define PVDEC_TEST_RAND_STL_MEM_WDATA_CONFIG_SEED_BURST_MEM_WDATA_SIGNED_FIELD	(0)

/* PVDEC_TEST, RAND_STL_MEM_WDATA_CONFIG, SEED_GAP_MEM_WDATA */
#define PVDEC_TEST_RAND_STL_MEM_WDATA_CONFIG_SEED_GAP_MEM_WDATA_MASK		(0x003FF800)
#define PVDEC_TEST_RAND_STL_MEM_WDATA_CONFIG_SEED_GAP_MEM_WDATA_LSBMASK		(0x000007FF)
#define PVDEC_TEST_RAND_STL_MEM_WDATA_CONFIG_SEED_GAP_MEM_WDATA_SHIFT		(11)
#define PVDEC_TEST_RAND_STL_MEM_WDATA_CONFIG_SEED_GAP_MEM_WDATA_LENGTH		(11)
#define PVDEC_TEST_RAND_STL_MEM_WDATA_CONFIG_SEED_GAP_MEM_WDATA_DEFAULT		(1365)
#define PVDEC_TEST_RAND_STL_MEM_WDATA_CONFIG_SEED_GAP_MEM_WDATA_SIGNED_FIELD	(0)

/* PVDEC_TEST, RAND_STL_MEM_WDATA_CONFIG, MAX_BURST_MEM_WDATA */
#define PVDEC_TEST_RAND_STL_MEM_WDATA_CONFIG_MAX_BURST_MEM_WDATA_MASK		(0x03C00000)
#define PVDEC_TEST_RAND_STL_MEM_WDATA_CONFIG_MAX_BURST_MEM_WDATA_LSBMASK		(0x0000000F)
#define PVDEC_TEST_RAND_STL_MEM_WDATA_CONFIG_MAX_BURST_MEM_WDATA_SHIFT		(22)
#define PVDEC_TEST_RAND_STL_MEM_WDATA_CONFIG_MAX_BURST_MEM_WDATA_LENGTH		(4)
#define PVDEC_TEST_RAND_STL_MEM_WDATA_CONFIG_MAX_BURST_MEM_WDATA_DEFAULT		(3)
#define PVDEC_TEST_RAND_STL_MEM_WDATA_CONFIG_MAX_BURST_MEM_WDATA_SIGNED_FIELD	(0)

/* PVDEC_TEST, RAND_STL_MEM_WDATA_CONFIG, MAX_GAP_MEM_WDATA */
#define PVDEC_TEST_RAND_STL_MEM_WDATA_CONFIG_MAX_GAP_MEM_WDATA_MASK		(0x3C000000)
#define PVDEC_TEST_RAND_STL_MEM_WDATA_CONFIG_MAX_GAP_MEM_WDATA_LSBMASK		(0x0000000F)
#define PVDEC_TEST_RAND_STL_MEM_WDATA_CONFIG_MAX_GAP_MEM_WDATA_SHIFT		(26)
#define PVDEC_TEST_RAND_STL_MEM_WDATA_CONFIG_MAX_GAP_MEM_WDATA_LENGTH		(4)
#define PVDEC_TEST_RAND_STL_MEM_WDATA_CONFIG_MAX_GAP_MEM_WDATA_DEFAULT		(2)
#define PVDEC_TEST_RAND_STL_MEM_WDATA_CONFIG_MAX_GAP_MEM_WDATA_SIGNED_FIELD	(0)

/* PVDEC_TEST, RAND_STL_MEM_WDATA_CONFIG, STALL_ENABLE_MEM_WDATA */
#define PVDEC_TEST_RAND_STL_MEM_WDATA_CONFIG_STALL_ENABLE_MEM_WDATA_MASK		(0x80000000)
#define PVDEC_TEST_RAND_STL_MEM_WDATA_CONFIG_STALL_ENABLE_MEM_WDATA_LSBMASK		(0x00000001)
#define PVDEC_TEST_RAND_STL_MEM_WDATA_CONFIG_STALL_ENABLE_MEM_WDATA_SHIFT		(31)
#define PVDEC_TEST_RAND_STL_MEM_WDATA_CONFIG_STALL_ENABLE_MEM_WDATA_LENGTH		(1)
#define PVDEC_TEST_RAND_STL_MEM_WDATA_CONFIG_STALL_ENABLE_MEM_WDATA_DEFAULT		(1)
#define PVDEC_TEST_RAND_STL_MEM_WDATA_CONFIG_STALL_ENABLE_MEM_WDATA_SIGNED_FIELD	(0)

#define PVDEC_TEST_RAND_STL_MEM_WRESP_CONFIG_OFFSET		(0x00E8)

/* PVDEC_TEST, RAND_STL_MEM_WRESP_CONFIG, SEED_BURST_MEM_WRESP */
#define PVDEC_TEST_RAND_STL_MEM_WRESP_CONFIG_SEED_BURST_MEM_WRESP_MASK		(0x000007FF)
#define PVDEC_TEST_RAND_STL_MEM_WRESP_CONFIG_SEED_BURST_MEM_WRESP_LSBMASK		(0x000007FF)
#define PVDEC_TEST_RAND_STL_MEM_WRESP_CONFIG_SEED_BURST_MEM_WRESP_SHIFT		(0)
#define PVDEC_TEST_RAND_STL_MEM_WRESP_CONFIG_SEED_BURST_MEM_WRESP_LENGTH		(11)
#define PVDEC_TEST_RAND_STL_MEM_WRESP_CONFIG_SEED_BURST_MEM_WRESP_DEFAULT		(682)
#define PVDEC_TEST_RAND_STL_MEM_WRESP_CONFIG_SEED_BURST_MEM_WRESP_SIGNED_FIELD	(0)

/* PVDEC_TEST, RAND_STL_MEM_WRESP_CONFIG, SEED_GAP_MEM_WRESP */
#define PVDEC_TEST_RAND_STL_MEM_WRESP_CONFIG_SEED_GAP_MEM_WRESP_MASK		(0x003FF800)
#define PVDEC_TEST_RAND_STL_MEM_WRESP_CONFIG_SEED_GAP_MEM_WRESP_LSBMASK		(0x000007FF)
#define PVDEC_TEST_RAND_STL_MEM_WRESP_CONFIG_SEED_GAP_MEM_WRESP_SHIFT		(11)
#define PVDEC_TEST_RAND_STL_MEM_WRESP_CONFIG_SEED_GAP_MEM_WRESP_LENGTH		(11)
#define PVDEC_TEST_RAND_STL_MEM_WRESP_CONFIG_SEED_GAP_MEM_WRESP_DEFAULT		(1365)
#define PVDEC_TEST_RAND_STL_MEM_WRESP_CONFIG_SEED_GAP_MEM_WRESP_SIGNED_FIELD	(0)

/* PVDEC_TEST, RAND_STL_MEM_WRESP_CONFIG, MAX_BURST_MEM_WRESP */
#define PVDEC_TEST_RAND_STL_MEM_WRESP_CONFIG_MAX_BURST_MEM_WRESP_MASK		(0x03C00000)
#define PVDEC_TEST_RAND_STL_MEM_WRESP_CONFIG_MAX_BURST_MEM_WRESP_LSBMASK		(0x0000000F)
#define PVDEC_TEST_RAND_STL_MEM_WRESP_CONFIG_MAX_BURST_MEM_WRESP_SHIFT		(22)
#define PVDEC_TEST_RAND_STL_MEM_WRESP_CONFIG_MAX_BURST_MEM_WRESP_LENGTH		(4)
#define PVDEC_TEST_RAND_STL_MEM_WRESP_CONFIG_MAX_BURST_MEM_WRESP_DEFAULT		(3)
#define PVDEC_TEST_RAND_STL_MEM_WRESP_CONFIG_MAX_BURST_MEM_WRESP_SIGNED_FIELD	(0)

/* PVDEC_TEST, RAND_STL_MEM_WRESP_CONFIG, MAX_GAP_MEM_WRESP */
#define PVDEC_TEST_RAND_STL_MEM_WRESP_CONFIG_MAX_GAP_MEM_WRESP_MASK		(0x3C000000)
#define PVDEC_TEST_RAND_STL_MEM_WRESP_CONFIG_MAX_GAP_MEM_WRESP_LSBMASK		(0x0000000F)
#define PVDEC_TEST_RAND_STL_MEM_WRESP_CONFIG_MAX_GAP_MEM_WRESP_SHIFT		(26)
#define PVDEC_TEST_RAND_STL_MEM_WRESP_CONFIG_MAX_GAP_MEM_WRESP_LENGTH		(4)
#define PVDEC_TEST_RAND_STL_MEM_WRESP_CONFIG_MAX_GAP_MEM_WRESP_DEFAULT		(2)
#define PVDEC_TEST_RAND_STL_MEM_WRESP_CONFIG_MAX_GAP_MEM_WRESP_SIGNED_FIELD	(0)

/* PVDEC_TEST, RAND_STL_MEM_WRESP_CONFIG, STALL_ENABLE_MEM_WRESP */
#define PVDEC_TEST_RAND_STL_MEM_WRESP_CONFIG_STALL_ENABLE_MEM_WRESP_MASK		(0x80000000)
#define PVDEC_TEST_RAND_STL_MEM_WRESP_CONFIG_STALL_ENABLE_MEM_WRESP_LSBMASK		(0x00000001)
#define PVDEC_TEST_RAND_STL_MEM_WRESP_CONFIG_STALL_ENABLE_MEM_WRESP_SHIFT		(31)
#define PVDEC_TEST_RAND_STL_MEM_WRESP_CONFIG_STALL_ENABLE_MEM_WRESP_LENGTH		(1)
#define PVDEC_TEST_RAND_STL_MEM_WRESP_CONFIG_STALL_ENABLE_MEM_WRESP_DEFAULT		(1)
#define PVDEC_TEST_RAND_STL_MEM_WRESP_CONFIG_STALL_ENABLE_MEM_WRESP_SIGNED_FIELD	(0)

#define PVDEC_TEST_RAND_STL_MEM_RDATA_CONFIG_OFFSET		(0x00EC)

/* PVDEC_TEST, RAND_STL_MEM_RDATA_CONFIG, SEED_BURST_MEM_RDATA */
#define PVDEC_TEST_RAND_STL_MEM_RDATA_CONFIG_SEED_BURST_MEM_RDATA_MASK		(0x000007FF)
#define PVDEC_TEST_RAND_STL_MEM_RDATA_CONFIG_SEED_BURST_MEM_RDATA_LSBMASK		(0x000007FF)
#define PVDEC_TEST_RAND_STL_MEM_RDATA_CONFIG_SEED_BURST_MEM_RDATA_SHIFT		(0)
#define PVDEC_TEST_RAND_STL_MEM_RDATA_CONFIG_SEED_BURST_MEM_RDATA_LENGTH		(11)
#define PVDEC_TEST_RAND_STL_MEM_RDATA_CONFIG_SEED_BURST_MEM_RDATA_DEFAULT		(682)
#define PVDEC_TEST_RAND_STL_MEM_RDATA_CONFIG_SEED_BURST_MEM_RDATA_SIGNED_FIELD	(0)

/* PVDEC_TEST, RAND_STL_MEM_RDATA_CONFIG, SEED_GAP_MEM_RDATA */
#define PVDEC_TEST_RAND_STL_MEM_RDATA_CONFIG_SEED_GAP_MEM_RDATA_MASK		(0x003FF800)
#define PVDEC_TEST_RAND_STL_MEM_RDATA_CONFIG_SEED_GAP_MEM_RDATA_LSBMASK		(0x000007FF)
#define PVDEC_TEST_RAND_STL_MEM_RDATA_CONFIG_SEED_GAP_MEM_RDATA_SHIFT		(11)
#define PVDEC_TEST_RAND_STL_MEM_RDATA_CONFIG_SEED_GAP_MEM_RDATA_LENGTH		(11)
#define PVDEC_TEST_RAND_STL_MEM_RDATA_CONFIG_SEED_GAP_MEM_RDATA_DEFAULT		(1365)
#define PVDEC_TEST_RAND_STL_MEM_RDATA_CONFIG_SEED_GAP_MEM_RDATA_SIGNED_FIELD	(0)

/* PVDEC_TEST, RAND_STL_MEM_RDATA_CONFIG, MAX_BURST_MEM_RDATA */
#define PVDEC_TEST_RAND_STL_MEM_RDATA_CONFIG_MAX_BURST_MEM_RDATA_MASK		(0x03C00000)
#define PVDEC_TEST_RAND_STL_MEM_RDATA_CONFIG_MAX_BURST_MEM_RDATA_LSBMASK		(0x0000000F)
#define PVDEC_TEST_RAND_STL_MEM_RDATA_CONFIG_MAX_BURST_MEM_RDATA_SHIFT		(22)
#define PVDEC_TEST_RAND_STL_MEM_RDATA_CONFIG_MAX_BURST_MEM_RDATA_LENGTH		(4)
#define PVDEC_TEST_RAND_STL_MEM_RDATA_CONFIG_MAX_BURST_MEM_RDATA_DEFAULT		(3)
#define PVDEC_TEST_RAND_STL_MEM_RDATA_CONFIG_MAX_BURST_MEM_RDATA_SIGNED_FIELD	(0)

/* PVDEC_TEST, RAND_STL_MEM_RDATA_CONFIG, MAX_GAP_MEM_RDATA */
#define PVDEC_TEST_RAND_STL_MEM_RDATA_CONFIG_MAX_GAP_MEM_RDATA_MASK		(0x3C000000)
#define PVDEC_TEST_RAND_STL_MEM_RDATA_CONFIG_MAX_GAP_MEM_RDATA_LSBMASK		(0x0000000F)
#define PVDEC_TEST_RAND_STL_MEM_RDATA_CONFIG_MAX_GAP_MEM_RDATA_SHIFT		(26)
#define PVDEC_TEST_RAND_STL_MEM_RDATA_CONFIG_MAX_GAP_MEM_RDATA_LENGTH		(4)
#define PVDEC_TEST_RAND_STL_MEM_RDATA_CONFIG_MAX_GAP_MEM_RDATA_DEFAULT		(2)
#define PVDEC_TEST_RAND_STL_MEM_RDATA_CONFIG_MAX_GAP_MEM_RDATA_SIGNED_FIELD	(0)

/* PVDEC_TEST, RAND_STL_MEM_RDATA_CONFIG, STALL_ENABLE_MEM_RDATA */
#define PVDEC_TEST_RAND_STL_MEM_RDATA_CONFIG_STALL_ENABLE_MEM_RDATA_MASK		(0x80000000)
#define PVDEC_TEST_RAND_STL_MEM_RDATA_CONFIG_STALL_ENABLE_MEM_RDATA_LSBMASK		(0x00000001)
#define PVDEC_TEST_RAND_STL_MEM_RDATA_CONFIG_STALL_ENABLE_MEM_RDATA_SHIFT		(31)
#define PVDEC_TEST_RAND_STL_MEM_RDATA_CONFIG_STALL_ENABLE_MEM_RDATA_LENGTH		(1)
#define PVDEC_TEST_RAND_STL_MEM_RDATA_CONFIG_STALL_ENABLE_MEM_RDATA_DEFAULT		(1)
#define PVDEC_TEST_RAND_STL_MEM_RDATA_CONFIG_STALL_ENABLE_MEM_RDATA_SIGNED_FIELD	(0)

#define PVDEC_TEST_MEM_READ_LATENCY_OFFSET		(0x00F0)

/* PVDEC_TEST, MEM_READ_LATENCY, READ_RESPONSE_MIN_LATENCY */
#define PVDEC_TEST_MEM_READ_LATENCY_READ_RESPONSE_MIN_LATENCY_MASK		(0x0000FFFF)
#define PVDEC_TEST_MEM_READ_LATENCY_READ_RESPONSE_MIN_LATENCY_LSBMASK		(0x0000FFFF)
#define PVDEC_TEST_MEM_READ_LATENCY_READ_RESPONSE_MIN_LATENCY_SHIFT		(0)
#define PVDEC_TEST_MEM_READ_LATENCY_READ_RESPONSE_MIN_LATENCY_LENGTH		(16)
#define PVDEC_TEST_MEM_READ_LATENCY_READ_RESPONSE_MIN_LATENCY_DEFAULT		(0)
#define PVDEC_TEST_MEM_READ_LATENCY_READ_RESPONSE_MIN_LATENCY_SIGNED_FIELD	(0)

/* PVDEC_TEST, MEM_READ_LATENCY, READ_RESPONSE_RAND_LATENCY */
#define PVDEC_TEST_MEM_READ_LATENCY_READ_RESPONSE_RAND_LATENCY_MASK		(0xFFFF0000)
#define PVDEC_TEST_MEM_READ_LATENCY_READ_RESPONSE_RAND_LATENCY_LSBMASK		(0x0000FFFF)
#define PVDEC_TEST_MEM_READ_LATENCY_READ_RESPONSE_RAND_LATENCY_SHIFT		(16)
#define PVDEC_TEST_MEM_READ_LATENCY_READ_RESPONSE_RAND_LATENCY_LENGTH		(16)
#define PVDEC_TEST_MEM_READ_LATENCY_READ_RESPONSE_RAND_LATENCY_DEFAULT		(512)
#define PVDEC_TEST_MEM_READ_LATENCY_READ_RESPONSE_RAND_LATENCY_SIGNED_FIELD	(0)

#define PVDEC_TEST_MEM_WRITE_RESPONSE_LATENCY_OFFSET		(0x00F4)

/* PVDEC_TEST, MEM_WRITE_RESPONSE_LATENCY, WRITE_RESPONSE_MIN_LATENCY */
#define PVDEC_TEST_MEM_WRITE_RESPONSE_LATENCY_WRITE_RESPONSE_MIN_LATENCY_MASK		(0x0000FFFF)
#define PVDEC_TEST_MEM_WRITE_RESPONSE_LATENCY_WRITE_RESPONSE_MIN_LATENCY_LSBMASK		(0x0000FFFF)
#define PVDEC_TEST_MEM_WRITE_RESPONSE_LATENCY_WRITE_RESPONSE_MIN_LATENCY_SHIFT		(0)
#define PVDEC_TEST_MEM_WRITE_RESPONSE_LATENCY_WRITE_RESPONSE_MIN_LATENCY_LENGTH		(16)
#define PVDEC_TEST_MEM_WRITE_RESPONSE_LATENCY_WRITE_RESPONSE_MIN_LATENCY_DEFAULT		(0)
#define PVDEC_TEST_MEM_WRITE_RESPONSE_LATENCY_WRITE_RESPONSE_MIN_LATENCY_SIGNED_FIELD	(0)

/* PVDEC_TEST, MEM_WRITE_RESPONSE_LATENCY, WRITE_RESPONSE_RAND_LATENCY */
#define PVDEC_TEST_MEM_WRITE_RESPONSE_LATENCY_WRITE_RESPONSE_RAND_LATENCY_MASK		(0xFFFF0000)
#define PVDEC_TEST_MEM_WRITE_RESPONSE_LATENCY_WRITE_RESPONSE_RAND_LATENCY_LSBMASK		(0x0000FFFF)
#define PVDEC_TEST_MEM_WRITE_RESPONSE_LATENCY_WRITE_RESPONSE_RAND_LATENCY_SHIFT		(16)
#define PVDEC_TEST_MEM_WRITE_RESPONSE_LATENCY_WRITE_RESPONSE_RAND_LATENCY_LENGTH		(16)
#define PVDEC_TEST_MEM_WRITE_RESPONSE_LATENCY_WRITE_RESPONSE_RAND_LATENCY_DEFAULT		(512)
#define PVDEC_TEST_MEM_WRITE_RESPONSE_LATENCY_WRITE_RESPONSE_RAND_LATENCY_SIGNED_FIELD	(0)

#define PVDEC_TEST_MEM_CTRL_OFFSET		(0x00F8)

/* PVDEC_TEST, MEM_CTRL, READ_OUTSTANDING */
#define PVDEC_TEST_MEM_CTRL_READ_OUTSTANDING_MASK		(0x000000FF)
#define PVDEC_TEST_MEM_CTRL_READ_OUTSTANDING_LSBMASK		(0x000000FF)
#define PVDEC_TEST_MEM_CTRL_READ_OUTSTANDING_SHIFT		(0)
#define PVDEC_TEST_MEM_CTRL_READ_OUTSTANDING_LENGTH		(8)
#define PVDEC_TEST_MEM_CTRL_READ_OUTSTANDING_DEFAULT		(32)
#define PVDEC_TEST_MEM_CTRL_READ_OUTSTANDING_SIGNED_FIELD	(0)

/* PVDEC_TEST, MEM_CTRL, WRITE_RESPONSE_REORDER */
#define PVDEC_TEST_MEM_CTRL_WRITE_RESPONSE_REORDER_MASK		(0x00000100)
#define PVDEC_TEST_MEM_CTRL_WRITE_RESPONSE_REORDER_LSBMASK		(0x00000001)
#define PVDEC_TEST_MEM_CTRL_WRITE_RESPONSE_REORDER_SHIFT		(8)
#define PVDEC_TEST_MEM_CTRL_WRITE_RESPONSE_REORDER_LENGTH		(1)
#define PVDEC_TEST_MEM_CTRL_WRITE_RESPONSE_REORDER_DEFAULT		(1)
#define PVDEC_TEST_MEM_CTRL_WRITE_RESPONSE_REORDER_SIGNED_FIELD	(0)

/* PVDEC_TEST, MEM_CTRL, READ_RESPONSE_REORDER */
#define PVDEC_TEST_MEM_CTRL_READ_RESPONSE_REORDER_MASK		(0x00000200)
#define PVDEC_TEST_MEM_CTRL_READ_RESPONSE_REORDER_LSBMASK		(0x00000001)
#define PVDEC_TEST_MEM_CTRL_READ_RESPONSE_REORDER_SHIFT		(9)
#define PVDEC_TEST_MEM_CTRL_READ_RESPONSE_REORDER_LENGTH		(1)
#define PVDEC_TEST_MEM_CTRL_READ_RESPONSE_REORDER_DEFAULT		(1)
#define PVDEC_TEST_MEM_CTRL_READ_RESPONSE_REORDER_SIGNED_FIELD	(0)

/* PVDEC_TEST, MEM_CTRL, ENABLE_SECURITY */
#define PVDEC_TEST_MEM_CTRL_ENABLE_SECURITY_MASK		(0x00001000)
#define PVDEC_TEST_MEM_CTRL_ENABLE_SECURITY_LSBMASK		(0x00000001)
#define PVDEC_TEST_MEM_CTRL_ENABLE_SECURITY_SHIFT		(12)
#define PVDEC_TEST_MEM_CTRL_ENABLE_SECURITY_LENGTH		(1)
#define PVDEC_TEST_MEM_CTRL_ENABLE_SECURITY_DEFAULT		(0)
#define PVDEC_TEST_MEM_CTRL_ENABLE_SECURITY_SIGNED_FIELD	(0)

/* PVDEC_TEST, MEM_CTRL, READ_8TIMES_OUT */
#define PVDEC_TEST_MEM_CTRL_READ_8TIMES_OUT_MASK		(0x00002000)
#define PVDEC_TEST_MEM_CTRL_READ_8TIMES_OUT_LSBMASK		(0x00000001)
#define PVDEC_TEST_MEM_CTRL_READ_8TIMES_OUT_SHIFT		(13)
#define PVDEC_TEST_MEM_CTRL_READ_8TIMES_OUT_LENGTH		(1)
#define PVDEC_TEST_MEM_CTRL_READ_8TIMES_OUT_DEFAULT		(1)
#define PVDEC_TEST_MEM_CTRL_READ_8TIMES_OUT_SIGNED_FIELD	(0)

#define PVDEC_TEST_TEST_STATUS_OFFSET		(0x00FC)

/* PVDEC_TEST, TEST_STATUS, PVDEC_IDLE_STATUS */
#define PVDEC_TEST_TEST_STATUS_PVDEC_IDLE_STATUS_MASK		(0x00000001)
#define PVDEC_TEST_TEST_STATUS_PVDEC_IDLE_STATUS_LSBMASK		(0x00000001)
#define PVDEC_TEST_TEST_STATUS_PVDEC_IDLE_STATUS_SHIFT		(0)
#define PVDEC_TEST_TEST_STATUS_PVDEC_IDLE_STATUS_LENGTH		(1)
#define PVDEC_TEST_TEST_STATUS_PVDEC_IDLE_STATUS_DEFAULT		(0)
#define PVDEC_TEST_TEST_STATUS_PVDEC_IDLE_STATUS_SIGNED_FIELD	(0)

/* PVDEC_TEST, TEST_STATUS, PVDEC_IRQ_STATUS */
#define PVDEC_TEST_TEST_STATUS_PVDEC_IRQ_STATUS_MASK		(0x00000010)
#define PVDEC_TEST_TEST_STATUS_PVDEC_IRQ_STATUS_LSBMASK		(0x00000001)
#define PVDEC_TEST_TEST_STATUS_PVDEC_IRQ_STATUS_SHIFT		(4)
#define PVDEC_TEST_TEST_STATUS_PVDEC_IRQ_STATUS_LENGTH		(1)
#define PVDEC_TEST_TEST_STATUS_PVDEC_IRQ_STATUS_DEFAULT		(0)
#define PVDEC_TEST_TEST_STATUS_PVDEC_IRQ_STATUS_SIGNED_FIELD	(0)

#endif /* _IMG_PVDEC_TEST_REGS_H */
